Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin
Interface RemoteResourceAdminService

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteResourceAdminService

extends java.rmi.Remote

This interface defines the methods to manage the resources tree in the report server.

fullFmtdNodePath is the full formatted name of a node. It is like the following:

> (R)/(R)Tutorial/(C)mycat.cat/(RptH)myrpt.cls

Each string inside parentheses indicates the type of that node:

> (R)name - Resource Node
> (D)name - Virtual Resource Node of directory
> (F)name - Virtual Resource Node of normal file
> (C)name - Virtual Resource Node of catalog
> (Rpt)name -Virtual Resource Node of report
> (DH)name - Unreachable Virtual Resource Node of directory
> (FH)name - Unreachable Virtual Resource Node of normal file
> (CH)name - Unreachable Virtual Resource Node of catalog
> (RptH)name -Unreachable Virtual Resource Node of report

Method Summary
`java.lang.String` | `addNode(java.lang.String realm, java.lang.String parentPath, byte nodeType, java.util.Hashtable htNode)` Adds a node into the resource tree in the specific realm.
`void` | `deleteNode(java.lang.String realm, java.lang.String nodePath)` Deletes the specific node.
`void` | `editNode(java.lang.String realm, java.lang.String nodePath, java.util.Hashtable htNode)` Edits the specific resource node.

Method Detail

### addNode

    java.lang.String addNode(java.lang.String realm,
                             java.lang.String parentPath,
                             byte nodeType,
                             java.util.Hashtable htNode)
                             throws NoSuchRealmException,
                                    UnknownMIMEType,
                                    UnknownResource,
                                    ResourceAdminServiceException,
                                    ResourceInfoException,
                                    java.rmi.RemoteException

  Adds a node into the resource tree in the specific realm.

  Parameters:
    `realm` - the realm in which the resource tree exists.
    `parentPath` - the parent path to specify which node the new resource node will be added into, for example, /SunVMDemo.
    `nodeType` - the new added node type
    `htNode` - the properties of the new node, ie. the new node name, description, realPath(for folders and resources), max version amount (for resources), etc.
  Returns:
    the new node name.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `UnknownMIMEType`
    `UnknownResource`
    `ResourceAdminServiceException`
    `ResourceInfoException`
  Since:
    version 6

### deleteNode

    void deleteNode(java.lang.String realm,
                    java.lang.String nodePath)
                    throws NoSuchRealmException,
                           UnknownMIMEType,
                           UnknownResource,
                           ResourceAdminServiceException,
                           ResourceInfoException,
                           java.rmi.RemoteException

  Deletes the specific node.

  Parameters:
    `realm` - the realm in which the resource tree exists.
    `nodePath` - the full path of the node, for example, /SunVMDemo.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `UnknownMIMEType`
    `UnknownResource`
    `ResourceAdminServiceException`
    `ResourceInfoException`
  Since:
    version 6

### editNode

    void editNode(java.lang.String realm,
                  java.lang.String nodePath,
                  java.util.Hashtable htNode)
                  throws NoSuchRealmException,
                         java.io.IOException,
                         UnknownResource,
                         UnknownMIMEType,
                         ResourceAdminServiceException,
                         ResourceInfoException,
                         java.rmi.RemoteException

  Edits the specific resource node.

  Parameters:
    `realm` - the realm in which the resource tree exists.
    `nodePath` - the full path of the node, for example, /SunVMDemo.
    `htNode` - the new properties of the specified node, ie. the new node name, description, realPath (for folders and resources), max version amount (for resources), etc.
  Throws:
    `NoSuchRealmException` - IOException UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `java.io.IOException`
    `UnknownResource`
    `UnknownMIMEType`
    `ResourceAdminServiceException`
    `ResourceInfoException`
  Since:
    version 6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD